Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.resources
Class DirContextURLStreamHandlerFactory

    java.lang.Object
      org.apache.naming.resources.DirContextURLStreamHandlerFactory

All Implemented Interfaces:
  URLStreamHandlerFactory

    public class DirContextURLStreamHandlerFactory

extends Object
implements URLStreamHandlerFactory

Factory for Stream handlers to a JNDI directory context that also supports users specifying additional stream handler.

Version:
  $Revision: 1078601 $
Author:
  Remy Maucherat

Method Summary
`static void` | `addUserFactory(URLStreamHandlerFactory factory)`
`URLStreamHandler` | `createURLStreamHandler(String protocol)` Creates a new URLStreamHandler instance with the specified protocol.
`static DirContextURLStreamHandlerFactory` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static DirContextURLStreamHandlerFactory getInstance()

### addUserFactory

    public static void addUserFactory(URLStreamHandlerFactory factory)

### createURLStreamHandler

    public URLStreamHandler createURLStreamHandler(String protocol)

  Creates a new URLStreamHandler instance with the specified protocol. Will return null if the protocol is not `jndi`.

  Specified by:
    `createURLStreamHandler` in interface `URLStreamHandlerFactory`
  Parameters:
    `protocol` - the protocol (must be "jndi" here)
  Returns:
    a URLStreamHandler for the jndi protocol, or null if the protocol is not JNDI

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.